
var editor; // use a global for the submit and return data rendering in the examples

// Our custom field type
$.fn.dataTable.Editor.fieldTypes.todo = $.extend(true, {}, $.fn.dataTable.Editor.models.fieldType, {
    "create": function (conf) {
        var that = this;

        conf._enabled = true;

        // Create the elements to use for the input
        conf._input = $(
                '<div>' +
                '<button class="inputButton" id="std-icon" data-toggle="modal" value="0" data-target="#modal-3">Standard Icons</button>' +
                '<input id="test" name="std-icon" type="hidden" value=""/>' +
                '</div>')[0];

        // Use the fact that we are called in the Editor instance's scope to call
        // the API method for setting the value when needed



        return conf._input;
    }
});


$(document).ready(function () {

    editor = new $.fn.dataTable.Editor({
        table: "#example",
        fields: [{
                label: "Group Name:",
                id: "name",
                name: "name"
            }, {
                label: "Group Type:",
                name: "grouptype",
                type: "select",
                ipOpts: getGroupTypes()
            }, {
                label: "Icon:",
                name: "file",
                id: "upload",
                type: "file" // Using the custom field type

            }, {
                name: "done",
                type: "todo"
            }, {
                label: "Members:",
                name: "members",
                type: "select",
                multiple: "true",
                ipOpts: getStudent()
            }, {
                name: "id",
                type: "hidden"
            }


        ],
        ajax: path + "groups/createGroup"

    });
    // Activate an inline edit on click of a table cell
//    $('#example').on('click', 'tbody td', function (e) {
//        editor.inline(this);
//    });

    editor.on('preSubmit', function (e, o) {
        var formError = 'ture';
        if (o.data.name === '') {
            this.error('name', 'A Name must be given');
            formError = false;
            return false;
        }

        // ... etc

        fileup(o.data.id);

    });


    var table = $('#example').DataTable({
        lengthChange: false,
        ajax: "groups/getGroups/" + schoolid,
        columns: [
            {data: "name"},
            {data: "grouptype"},
            {data: "members"}

        ]
    });

    var tableTools = new $.fn.dataTable.TableTools(table, {
        sRowSelect: "os",
        aButtons: [
            {sExtends: "editor_create", editor: editor},
            {sExtends: "editor_edit", editor: editor}
            //{sExtends: "editor_remove", editor: editor}
        ]
    });
    $(tableTools.fnContainer()).appendTo('#example_wrapper .col-xs-6:eq(0)');

    //var test= new Array({"label" : "a", "value" : "a"});
    function getStudent() {
        //test.splice(0, 1);
        var test = new Array();
        $.ajax({
            url: 'groups/getStudents',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][1]};
                    test.push(obj);
                }
            }
        });
        return test;
    }
    function getGroupTypes() {
        //test.splice(0, 1);
        var test = new Array();
        $.ajax({
            url: 'groups/getGroupTypes',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a], "value": a};
                    test.push(obj);
                }
            }
        });
        return test;
    }

});
function fileup(id = null){
    console.log('this is file up section');
    var form = jQuery("#my-class");
    var std = $("#img-name").val();
    var n = $("#name").val();
    var param = '';
    if (id !== null && id !== '') {
        param = '/' + id;
    }
    if (std !== '') {

        param = param + '?std=' + std + '&n=' + n;
    } else {
        param = param + '?n=' + n;
    }
    var data = new FormData();
    var file = document.getElementById('upload').files[0]; //userfile file tag id
    if (file) {
        data.append('userfile', file);
    }
    
    
    jQuery.ajax({
        type: 'POST',
        url: path + "groups/uploadfile" + param,
        data: data,
        cache: false,
        contentType: false,
        processData: false,
        context: document.body,
        error: function (data, transport) {
            alert("Sorry, the operation is failed.");
        },
        success: function (data) {
			$("#img-name").val('');	

        }
    });
}
function setImage(name) {
    $("#img-name").val('');
    $("#img-name").val(name);
    $(".str-icon").css("background", "none");
    $("#" + name).css("background", "green");
}

function standardIcon() {
    $("#img-name").val('');

}

