
var editor; // use a global for the submit and return data rendering in the examples



$(document).ready(function () {

    editor = new $.fn.dataTable.Editor({
        table: "#example",
        fields: [{
                label: "User ID:",
                id: "userid",
                name: "userid"
            }, {
                label: "Password:",
                name: "password",
                type: "password"
            }, {
                label: "First Name:",
                name: "firstname"
            }, {
                label: "Sur Name:",
                name: "surname"
            }, {
                label: "Email:",
                name: "email"
            }, {
                label: "Subject:",
                name: "subject",
                id: "subjects",
                type: "select",
                multiple: "true",
                ipOpts: getSubjectList()
            }, {
                label: "Groups:",
                id: "gropus",
                name: "group",
                type: "select",
                multiple: "true",
                ipOpts: getGroupList()
            }, {
                name: "id",
                type: "hidden"
            }


        ],
        ajax: path + "teacher/createTeacher"

    });
    // Activate an inline edit on click of a table cell
//    $('#example').on('click', 'tbody td', function (e) {
//        editor.inline(this);
//    });

    editor.on('preSubmit', function (e, o) {
        var formError = 'ture';
        if (o.data.userid === '') {
            this.error('userid', 'A User id must be given');
            formError = false;
            return false;
        }
        else if (o.data.userid.length <= 3) {
            this.error('userid', 'The user id length must be greater than 3 characters');
            formError = false;
            return false;
        }
        if (o.data.password === '') {
            this.error('password', 'A sur name must be given');
            formError = false;
            return false;
        }
        else if (o.data.password.length <= 4) {
            this.error('password', 'The user id length must be greater than 4 characters');
            formError = false;
            return false;
        }
        if (o.data.firstname === '') {
            this.error('firstname', 'A first name must be given');
            formError = false;
            return false;
        }
        else if (o.data.firstname.length >= 20) {
            this.error('firstname', 'The first name length must be less that 20 characters');
            formError = false;
            return false;
        }
        if (o.data.surname === '') {
            this.error('surname', 'A sur name must be given');
            formError = false;
            return false;
        }
        else if (o.data.firstname.length >= 20) {
            this.error('surname', 'The sur name length must be less than 14 characters');
            formError = false;
            return false;
        }

        if (o.data.email === '') {
            this.error('email', 'A email must be given');
            formError = false;
            return false;
        } else {
            
            if (!validateEmail(o.data.email)) {
                this.error('email', 'Invalid email');
                formError = false;
                return false;
            }
        }


    });
	
	function validateEmail(email) {

        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }
   
    var table = $('#example').DataTable({
        lengthChange: false,
        ajax: "teacher/getTeachers/"+schoolid,
        columns: [
            {data: "userid"},
            {data: "firstname"},
            {data: "surname"},
            {data: "email"}

        ]
    });

    var tableTools = new $.fn.dataTable.TableTools(table, {
        sRowSelect: "os",
        aButtons: [
            {sExtends: "editor_create", editor: editor},
            {sExtends: "editor_edit", editor: editor},
            {sExtends: "editor_remove", editor: editor}
        ]
    });
    $(tableTools.fnContainer()).appendTo('#example_wrapper .col-xs-6:eq(0)');

    //var test= new Array({"label" : "a", "value" : "a"});
    function getSubjectList() {
        //test.splice(0, 1);
        var subject = new Array();
        $.ajax({
            url: 'teacher/getSubjectList',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][1]};
                    subject.push(obj);
                }
            }
        });
        return subject;
    }

    function getGroupList() {
        //test.splice(0, 1);
        var group = new Array();
        $.ajax({
            url: 'teacher/getGroupList',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][1]};
                    group.push(obj);
                }
            }
        });
        return group;
    }


    $(function () {
        $("#subjects").multiselect();
    })
});


